GET
List purchases
Company space For: Buyer, Manager · Permission: purchases.list Part of Create and approve purchases.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

response
enum<string>
default:resource

Response mode. Default resource; none answers 204 No Content.

Available options:
resource
fields
string

Comma-separated JSON keys of the root resource (id is always rendered). Available: id, company_id, vendor_id, reference, purchase_date, notes, status, is_credit, cost_total, cost_total_includes_vat, vat_total, vat_is_recoverable, invoice_total, cost_leftover, invoiced_at, amount_paid, amount_debt_adjusted, remaining_amount, due_date, payment_status, need_approval, cost_strategy, created_at, updated_at.

include
string

Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: items, items.stockable, items.stockableUnit, debtAdjustments, debtAdjustments.purchase, returns, returns.items, pickups, pickups.items, pickups.costs, deliveries, deliveries.items, deliveries.costs, vendor.

Response

200 - application/json

Resource.

data
PurchaseResource · object[]
required

Items of this page.

meta
object
required

Pagination details.